#!/usr/bin/env python


# Custom module imports
import data


from cocos.scenes.transitions import *

import cocos
import main
import pygame


class SceneManager():
    def __init__(self, director):
        self.director = director

    def run(self):
        if not self.director.scene:
            self.do_main_menu(run = True)

    def load_scenes(self, main_menu_scene): # , win_scene, lose_scene):
        self.main_menu_scene = main_menu_scene
        '''self.win_scene = win_scene
        self.lose_scene = lose_scene'''

    def load_levels(self, levels):
        self.levels = levels

    def do_main_menu(self, run = False):
        if run:
            self.director.run(self.main_menu_scene)

        else:
            self.director.replace(FlipX3DTransition(self.main_menu_scene, duration = 1))

    def do_level(self, level_id, level_difficulty):
        level = main.LevelScene(main.LevelLayer(self, self.levels[level_id - 1], level_difficulty), main.TroopLayer())
        self.director.replace(FlipX3DTransition(level, duration = 1))

    '''def do_win(self):
        self.director.replace(FlipX3DTransition(self.win_scene, duration = 1))

    def do_lose(self):
        self.director.replace(FlipX3DTransition(self.lose_scene, duration = 1))'''
